import ftcomputing.robo.*;
/**
 * Betrieb des Karussels von Robo LT Beginner Lab
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Karussel {
    private FishFace fl;

    public Karussel() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.closeInterface();
    }
    /**
     * Einmaliges Einschalten des Karussels fr 10 Sekunden 
     * bei Drcken des I1-Tasters
     */
    public void Karussel1() {
        System.out.println("Karussel starten : I1-Taster");
        fl.waitForInput(Inp.I1);
        fl.setMotor(Mot.M1, Dir.Left);
        fl.pause(10000);
        fl.setMotor(Mot.M1, Dir.Off);
        System.out.println("--- FINIS ---");
    }
    /**
     * Wiederholtes Starten des Karussels fr 10 Sekunden 
     * bei Drcken des I1-Tasters
     */
    public void Karussel2() {
        do {
            System.out.println("Neue Runde : I1-Taster");
            fl.waitForInput(Inp.I1);
            fl.setMotor(Mot.M1, Dir.Left);
            fl.pause(10000);
            fl.setMotor(Mot.M1, Dir.Off);
        } while (!fl.finish());
        System.out.println("--- FINIS ---");        
    }
    /**
     * Rechts- und Linkslauf des Karussels fr jeweils 10 Sekunden 
     * bei Drcken des I1-Tasters
     */
    public void Karussel3() {
        do {
            System.out.println("Neue Runde : I1-Taster");
            fl.waitForInput(Inp.I1);
            fl.setMotor(Mot.M1, Dir.Left);
            fl.pause(10000);
            fl.setMotor(Mot.M1, Dir.Off);
            fl.pause(1000);
            fl.setMotor(Mot.M1, Dir.Right);
            fl.pause(10000);
            fl.setMotor(Mot.M1, Dir.Off);           
        } while (!fl.finish());
        System.out.println("--- FINIS ---");        
    }
}
