import ftcomputing.robo.*;
/**
 * Betrieb des Khlschranks von Robo LT Beginner Lab
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Kuehlschrank {
    private FishFace fl;
    public Kuehlschrank() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.closeInterface();
    }

    /**
     * Sobald die Khlschranktr geffnet wird,
     * leuchtet die weie Lampe
     */
    public void Kuehlschrank1() {
        do {
            if (fl.getInput(Inp.I1)) fl.setMotor(Mot.M1, Dir.Off);
            else fl.setMotor(Mot.M1, Dir.On);
        } while (!fl.finish());
        fl.setMotor(Mot.M1, Dir.Off);
    }
    /**
     * Sobald die Khlschranktr geffnet wird : Weie Lampe
     * Nach 3 Sekunden zustzlich rote Lampe
     * Tr zu, Lampe aus
     */
    public void Kuehlschrank2() {
        Thread LampeRot = new Thread(new LampeRotBlinken());
        LampeRot.start();
        
        do {
            if (fl.getInput(Inp.I1) == false) 
                fl.setMotor(Mot.M1, Dir.On);
            else fl.setMotor(Mot.M1, Dir.Off);
        } while (!fl.finish());
        fl.setMotor(Mot.M1, Dir.Off);
    }
    class LampeRotBlinken implements Runnable {
        @Override public void run() {
            do {
                fl.waitForInput(Inp.I1, false);
                fl.pause(3000);
                do {
                  fl.setMotor(Mot.M2, Dir.On);
                  fl.pause(500);
                  fl.setMotor(Mot.M2, Dir.Off);
                  fl.pause(500);
                } while (!(fl.finish() | fl.getInput(Inp.I1)));
            } while (!fl.finish());
        }
    }
}
