import ftcomputing.robo.*;
/**
 * Betrieb der Schiebetr aus Robo LT Beginner Lab
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Schiebetuer {
    private FishFace fl;
    final int     Tuer          = Mot.M1;
    final int     LLampe        = Mot.M2;
    final int     Schliessen    = Dir.Right;
    final int     Oeffnen       = Dir.Left;
    final int     TuerOffen     = Inp.I1;
    final int     TuerZu        = Inp.I2;
    final int     Lichtschranke = Inp.I3;
    final boolean Unterbrochen  = false;
    
    public Schiebetuer() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.closeInterface();
    }

    /**
     *  Test : Unbedingtes Schlieen der Tr
     */
    public void Schiebetuer1() {
        System.out.println("Tr wird geschlossen");
        fl.setMotor(Tuer, Schliessen, Speed.Half);
        fl.waitForInput(TuerZu);
        fl.setMotor(Tuer, Dir.Off);
        fl.pause(1234);
    }
    /**
     * ffnen durch Lichtschranke, Schlieen nach 10 sec
     */
    public void Schiebetuer2() {
        fl.setMotor(LLampe, Dir.On);
        fl.pause(500);
        fl.setMotor(Tuer, Schliessen);
        fl.waitForInput(TuerZu);
        fl.setMotor(Tuer, Dir.Off);
        
        do {
            fl.waitForInput(Lichtschranke, Unterbrochen);
            fl.setMotor(Tuer, Oeffnen);
            fl.waitForInput(TuerOffen);
            fl.setMotor(Tuer, Dir.Off);
            
            fl.setMotor(Tuer, Schliessen);
            fl.waitForInput(TuerZu);
            fl.setMotor(Tuer, Dir.Off);
        } while (!fl.finish());
    }
    /**
     * ffnen durch Lichtschranke, Schlieen nach 10 sec
     * Schlieen wird bei unterbrochener Lichtschranke abgebrochen
     * Die Tr ffnet dann fr 5 sec
     */
    public void Schiebetuer3() {
        fl.setMotor(LLampe, Dir.On);
        fl.pause(500);
        fl.setMotor(Tuer, Schliessen);
        fl.waitForInput(TuerZu);
        fl.setMotor(Tuer, Dir.Off);
        
        do {
            fl.waitForInput(Lichtschranke, Unterbrochen);
            fl.setMotor(Tuer, Oeffnen);
            fl.waitForInput(TuerOffen);
            fl.setMotor(Tuer, Dir.Off);
            fl.pause(10000);
            
            fl.setMotor(Tuer, Schliessen);
            while (!fl.getInput(TuerZu) & !fl.finish()) {
                if (fl.getInput(Lichtschranke) == Unterbrochen) {
                    fl.setMotor(Tuer, Oeffnen);
                    fl.waitForInput(TuerOffen);
                    fl.setMotor(Tuer, Dir.Off);
                    fl.pause(5000);
                    fl.setMotor(Tuer, TuerZu);
                }
            }
            fl.setMotor(Tuer, Dir.Off);
        } while (!fl.finish());
    }
}
