import ftcomputing.robo.*;
/**
 * Betrieb der Fugngerampel von Robo LT Beginner Lab
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Ampel {
    private FishFace fl;
    final int Rot         = Mot.M1;
    final int Gruen       = Mot.M2;
    final int Anforderung = Inp.I1;

    public Ampel() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.closeInterface();
    }

    /**
     * Fugngerampel : Anforderung einer "Fuphase" ber I1-Taster
       */
    public void Ampel1() {
        fl.setMotor(Mot.M1, Dir.On);
        do {
            if (fl.getInput(Inp.I1)) {
                System.out.println("Signal kommt");
                fl.pause(5000);
                fl.setMotor(Mot.M1, Dir.Off);
                fl.setMotor(Mot.M2, Dir.On);
                fl.pause(10000);
                fl.setMotor(Mot.M1, Dir.On);
                fl.setMotor(Mot.M2, Dir.Off);
            }
        } while (!fl.finish());
        fl.setMotor(Mot.M1, Dir.Off);
        System.out.println("--- FINIS ---");        
    }
    /**
     * Fugngerampel wie 1. 
     * Das Ende der Fuphase wird hier durch dreimaliges Grnblinken 
     * angezeigt.
     */
    public void Ampel2() {
        int i;
        fl.setMotor(Rot, Dir.On);
        do {
            if (fl.getInput(Anforderung)) {
                System.out.println("Signal kommt");
                fl.pause(5000);
                fl.setMotor(Rot, Dir.Off);
                fl.setMotor(Gruen, Dir.On);
                fl.pause(10000);
                
                for (i = 1; i <= 3; i++) {
                    fl.setMotor(Gruen, Dir.Off);
                    fl.pause(1000);
                    fl.setMotor(Gruen, Dir.On);
                    fl.pause(1000);
                }
                fl.setMotor(Rot, Dir.On);
                fl.setMotor(Gruen, Dir.Off);
            }
        } while (!fl.finish());
        fl.setMotor(Rot, Dir.Off);
        System.out.println("--- FINIS ---");               
    }
}
